package sample;

import javax.annotation.Resource;
import javax.ejb.ConcurrencyManagement;
import javax.ejb.ConcurrencyManagementType;
import javax.ejb.Local;
import javax.ejb.Singleton;
import javax.ejb.Stateless;
import javax.ejb.TransactionManagement;
import javax.ejb.TransactionManagementType;
import javax.transaction.TransactionSynchronizationRegistry;

@Singleton
//@Stateless
//@Local(CacheInterface.class)
@TransactionManagement(TransactionManagementType.CONTAINER)
@ConcurrencyManagement(ConcurrencyManagementType.BEAN)
public class Cache implements CacheInterface {

	@Resource
	private TransactionSynchronizationRegistry tsr;
	
	@Override
	public String getValue() {
		return String.valueOf(tsr.getTransactionKey());
	}

	
}
