package sample;

import javax.naming.InitialContext;
import javax.naming.NamingException;

public class CacheFacade {

	private static CacheInterface _cache;

	public static void setImpl(CacheInterface cache) {
		_cache = cache;
	}

	public static String getValue() {
		return _cache.getValue();
	}
	
	private static CacheInterface getCache() {
		try {
			return (CacheInterface) new InitialContext().lookup("java:global/testtx/Cache!sample.CacheInterface");
		} catch (NamingException e) {
			throw new RuntimeException(e);
		}
	}
}
